<div style="margin-bottom: 15px;">
    <!-- <h5>
       <span jhiTranslate="mpmApp.productShipmentIncoming.home.title">Product Shipment Incomings</span>
    </h5> -->
    <p-dataTable
        [value]="productShipmentIncomings"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        dataKey="idShipment"
        expandableRows="false"
        rowHover="true"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="process()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-dot-circle-o"></i> &nbsp;{{ 'entity.action.process' | translate }}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['product-shipment-incoming-popup-new'] } }]"><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                </li>
            </ul>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.productShipmentIncoming.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.productShipmentIncoming.shipmentNumber'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.shipmentNumber}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.productShipmentIncoming.description'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.description}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.productShipmentIncoming.dateSchedulle'|translate}}" [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dateSchedulle | date:'dd-MM-yyyy HH:mm:ss'}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.productShipmentIncoming.reason'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.reason}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.productShipmentIncoming.shipmentType'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.shipmentTypeId">
                    <a [routerLink]="['../shipment-type', rowData.shipmentTypeId  ]" >{{rowData.shipmentTypeId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.productShipmentIncoming.shipFrom'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.shipFromId">
                    <a [routerLink]="['../ship-to', rowData.shipFromId  ]" >{{rowData.shipFromId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.productShipmentIncoming.shipTo'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.shipToId">
                    <a [routerLink]="['../ship-to', rowData.shipToId  ]" >{{rowData.shipToId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.productShipmentIncoming.addressFrom'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.addressFromId">
                    <a [routerLink]="['../postal-address', rowData.addressFromId  ]" >{{rowData.addressFromId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.productShipmentIncoming.addressTo'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.addressToId">
                    <a [routerLink]="['../postal-address', rowData.addressToId  ]" >{{rowData.addressToId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- <button pButton type="submit"
                        [routerLink]="['../product-shipment-incoming', rowData.idShipment]"
                        icon="fa-eye"
                        class="flat-button">
                </button> -->
                <button pButton type="submit"
                        [routerLink]="['../product-shipment-incoming/0/' + page + '/' + rowData.idShipment + '/edit']"
                        icon="fa-pencil"
                        class="flat-button">
                </button>
                <button pButton type="submit"
                        (click)="delete(rowData.idShipment)"
                        icon="fa-remove"
                        class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>